Enumerator

SYNOPSIS

pi_id | pi_enum(pi_data *);

PARAMETER

pi_data.from: | start enumerator name
pi_data.to: | end enumerator name
pi_data.name: | enumerator name
pi_data.flags: | (PI_PUBLIC | PI_PROTECTED | PI_PRIVATE), PI_STATIC
pi_data.related: | pi_id of class including the enumerator as member Default: previous class non-terminated or global scope if the function is called outside of a class declaration

DESCRIPTION
This function must be called whenever the parser detects an enumerator in the source file.
C/C++ example
enum Boolean { false, true };
SNiFF+ Fuzzy Parser action

pi_data.from: | points to start of " Boolean "
pi_data.to: | points to end of " Boolean "
pi_data.name: | " Boolean "

SNiFF+ usage
highlighted in Source Editor